ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nicolas Lalevée <nicolas.lale...@hibnet.org>
Subject Re: Problem to build Pentaho 3.6 stable
Date Mon, 29 Aug 2011 21:42:31 GMT
I tried to build that pentaho 3.6.0-stable.
Build (nearly) like a charm.
commons lang got downloaded
It just failed at resolving some pentaho.kettle#kettle-engine;4.0.0-stable which seems to
have disappeared from the repositories.

You probably have some connectivity issues. Maybe repo1.maven.org was down while you tried.
Maybe you work behind a proxy and it failed ?

Nicolas

Le 26 août 2011 à 17:14, saulera camposi a écrit :

> Hi Maarten,
> 
> I try rebuild with ivy version 2.2.0 but the same persisted problem .
> 
> My problem is encode of ubuntu 11.
> 
> 
> On Thu, Aug 25, 2011 at 5:40 PM, Maarten Coene <maarten_coene@yahoo.com>wrote:
> 
>>> [ivy:settings] :: Ivy 2.0.0-beta2 - 20080225093827 ::
>> 
>> Please try again with a more recent version, for instance 2.2.0
>> 
>> Maarten
>> 
>> 
>> 
>> ________________________________
>> From: saulera camposi <saulocamposi@gmail.com>
>> To: ivy-user@ant.apache.org
>> Sent: Thursday, August 25, 2011 7:14 PM
>> Subject: Problem to build Pentaho 3.6 stable
>> 
>> This is my log.
>> 
>> thanks
>> 
>> 
>> 
>> Buildfile:
>> 
>> /home/saulo/AmbienteJava/workspace/pentaho/3.6.0-stable/bi-platform-build/build.xml
>> antcontrib.download-check:
>> antcontrib.download:
>> install-antcontrib:
>> publish-all:
>> clean-tests:
>> cobertura.clean-instrumented-classes:
>> cobertura.clean-coverage-reports:
>> clean-cobertura:
>> clean-javadoc:
>> clean-dist:
>> clean:
>> clean-jars:
>> clean-all:
>> antcontrib.download-check:
>> antcontrib.download:
>> install-antcontrib:
>> ivy.download-check:
>> ivy.download:
>> install-ivy:
>>     [echo] Installing IVY...
>> [ivy:settings] :: Ivy 2.0.0-beta2 - 20080225093827 ::
>> http://ant.apache.org/ivy/ ::
>> [ivy:settings] :: loading settings :: url =
>> 
>> file:/home/saulo/AmbienteJava/workspace/pentaho/3.6.0-stable/bi-platform-api/ivysettings.xml
>> resolve-init:
>> clean-jars:
>> resolve-default:
>> [ivy:resolve] :: resolving dependencies ::
>> pentaho#pentaho-bi-platform-api;3.6.0-stable
>> [ivy:resolve] confs: [default]
>> [ivy:resolve] found
>> org.springframework.security#spring-security-core;2.0.5.RELEASE in public
>> [ivy:resolve] found pentaho#pentaho-connections;2.2.1 in shared-ivy
>> [ivy:resolve] found javax.activation#activation;1.0.2 in shared-mvn
>> [ivy:resolve] found pentaho#pentaho-actionsequence-dom;2.3.2 in shared-ivy
>> [ivy:resolve] found jaxen#jaxen;1.1 in public
>> [ivy:resolve] found pentaho#pentaho-xul-core;3.1.1 in shared-ivy
>> [ivy:resolve] found org.codehaus.groovy#groovy-all;1.5.6 in public
>> [ivy:resolve] :: resolution report :: resolve 8673ms :: artifacts dl 6ms
>> [ivy:resolve] :: evicted modules:
>> [ivy:resolve] commons-logging#commons-logging;1.0.4 by
>> [commons-logging#commons-logging;1.1] in [default]
>> ---------------------------------------------------------------------
>> |                  |            modules            ||   artifacts   |
>> |       conf       | number| search|dwnlded|evicted|| number|dwnlded|
>> ---------------------------------------------------------------------
>> |      default     |   13  |   3   |   0   |   1   ||   7   |   0   |
>> ---------------------------------------------------------------------
>> [ivy:resolve] :: problems summary ::
>> [ivy:resolve] :::: WARNINGS
>> [ivy:resolve] problem while downloading module descriptor:
>> 
>> http://repo1.maven.org/maven2/commons-logging/commons-logging/1.1/commons-logging-1.1.pom
>> :
>> invalid md5: expected=219b31dbb491c609210577941a27a390
>> computed=083fb341a772a08c31016a2fe928e895 (77ms)
>> [ivy:resolve] module not found: commons-logging#commons-logging;1.1
>> [ivy:resolve] ==== local: tried
>> [ivy:resolve]
>> /home/saulo/.ivy2/local/commons-logging/commons-logging/1.1/ivys/ivy.xml
>> [ivy:resolve]   -- artifact
>> commons-logging#commons-logging;1.1!commons-logging.jar:
>> [ivy:resolve]
>> /home/saulo/.ivy2/local/commons-logging/commons-logging/1.1/jars/commons-logging-1.1.jar
>> [ivy:resolve] ==== shared-ivy: tried
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-logging/commons-logging/1.1/commons-logging-1.1.ivy.xml
>> [ivy:resolve] ==== shared-mvn: tried
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-logging/commons-logging/1.1/commons-logging-1.1.pom
>> [ivy:resolve]   -- artifact
>> commons-logging#commons-logging;1.1!commons-logging.jar:
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-logging/commons-logging/1.1/commons-logging-1.1.jar
>> [ivy:resolve] ==== public: tried
>> [ivy:resolve]
>> 
>> http://repo1.maven.org/maven2/commons-logging/commons-logging/1.1/commons-logging-1.1.pom
>> [ivy:resolve] problem while downloading module descriptor:
>> http://repo1.maven.org/maven2/dom4j/dom4j/1.6.1/dom4j-1.6.1.pom: invalid
>> md5: expected=af01a43a4709b749dd18a10741426715
>> computed=95548e5653de7820ace5b96ee945e091 (15ms)
>> [ivy:resolve] module not found: dom4j#dom4j;1.6.1
>> [ivy:resolve] ==== local: tried
>> [ivy:resolve]   /home/saulo/.ivy2/local/dom4j/dom4j/1.6.1/ivys/ivy.xml
>> [ivy:resolve]   -- artifact dom4j#dom4j;1.6.1!dom4j.jar:
>> [ivy:resolve]
>> /home/saulo/.ivy2/local/dom4j/dom4j/1.6.1/jars/dom4j-1.6.1.jar
>> [ivy:resolve] ==== shared-ivy: tried
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/dom4j/dom4j/1.6.1/dom4j-1.6.1.ivy.xml
>> [ivy:resolve] ==== shared-mvn: tried
>> [ivy:resolve]
>> http://repo.pentaho.org/artifactory/repo/dom4j/dom4j/1.6.1/dom4j-1.6.1.pom
>> [ivy:resolve]   -- artifact dom4j#dom4j;1.6.1!dom4j.jar:
>> [ivy:resolve]
>> http://repo.pentaho.org/artifactory/repo/dom4j/dom4j/1.6.1/dom4j-1.6.1.jar
>> [ivy:resolve] ==== public: tried
>> [ivy:resolve]
>> http://repo1.maven.org/maven2/dom4j/dom4j/1.6.1/dom4j-1.6.1.pom
>> [ivy:resolve] problem while downloading module descriptor:
>> 
>> http://repo1.maven.org/maven2/commons-collections/commons-collections/3.2/commons-collections-3.2.pom
>> :
>> invalid md5: expected=5248bea2d71b5e75a6108835273ecaf5
>> computed=6191758f490778b89afe8a92a9a2083e (11ms)
>> [ivy:resolve] module not found: commons-collections#commons-collections;3.2
>> [ivy:resolve] ==== local: tried
>> [ivy:resolve]
>> /home/saulo/.ivy2/local/commons-collections/commons-collections/3.2/ivys/ivy.xml
>> [ivy:resolve]   -- artifact
>> commons-collections#commons-collections;3.2!commons-collections.jar:
>> [ivy:resolve]
>> /home/saulo/.ivy2/local/commons-collections/commons-collections/3.2/jars/commons-collections-3.2.jar
>> [ivy:resolve] ==== shared-ivy: tried
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-collections/commons-collections/3.2/commons-collections-3.2.ivy.xml
>> [ivy:resolve] ==== shared-mvn: tried
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-collections/commons-collections/3.2/commons-collections-3.2.pom
>> [ivy:resolve]   -- artifact
>> commons-collections#commons-collections;3.2!commons-collections.jar:
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-collections/commons-collections/3.2/commons-collections-3.2.jar
>> [ivy:resolve] ==== public: tried
>> [ivy:resolve]
>> 
>> http://repo1.maven.org/maven2/commons-collections/commons-collections/3.2/commons-collections-3.2.pom
>> [ivy:resolve] problem while downloading module descriptor:
>> 
>> http://repo1.maven.org/maven2/commons-beanutils/commons-beanutils/1.6/commons-beanutils-1.6.pom
>> :
>> invalid md5: expected=a8324fb95fd5fb4142d6607ffccd82ef
>> computed=7c0ae5b45d3a5d2b89314e4214a6babe (15ms)
>> [ivy:resolve] module not found: commons-beanutils#commons-beanutils;1.6
>> [ivy:resolve] ==== local: tried
>> [ivy:resolve]
>> /home/saulo/.ivy2/local/commons-beanutils/commons-beanutils/1.6/ivys/ivy.xml
>> [ivy:resolve]   -- artifact
>> commons-beanutils#commons-beanutils;1.6!commons-beanutils.jar:
>> [ivy:resolve]
>> /home/saulo/.ivy2/local/commons-beanutils/commons-beanutils/1.6/jars/commons-beanutils-1.6.jar
>> [ivy:resolve] ==== shared-ivy: tried
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-beanutils/commons-beanutils/1.6/commons-beanutils-1.6.ivy.xml
>> [ivy:resolve] ==== shared-mvn: tried
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-beanutils/commons-beanutils/1.6/commons-beanutils-1.6.pom
>> [ivy:resolve]   -- artifact
>> commons-beanutils#commons-beanutils;1.6!commons-beanutils.jar:
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-beanutils/commons-beanutils/1.6/commons-beanutils-1.6.jar
>> [ivy:resolve] ==== public: tried
>> [ivy:resolve]
>> 
>> http://repo1.maven.org/maven2/commons-beanutils/commons-beanutils/1.6/commons-beanutils-1.6.pom
>> [ivy:resolve] problem while downloading module descriptor:
>> 
>> http://repo1.maven.org/maven2/commons-lang/commons-lang/2.2/commons-lang-2.2.pom
>> :
>> invalid md5: expected=4ec5765bf87a7760ca14a442e6edd629
>> computed=2dc733996da81a169b27d489c46dac82 (15ms)
>> [ivy:resolve] module not found: commons-lang#commons-lang;2.2
>> [ivy:resolve] ==== local: tried
>> [ivy:resolve]
>> /home/saulo/.ivy2/local/commons-lang/commons-lang/2.2/ivys/ivy.xml
>> [ivy:resolve]   -- artifact commons-lang#commons-lang;2.2!commons-lang.jar:
>> [ivy:resolve]
>> /home/saulo/.ivy2/local/commons-lang/commons-lang/2.2/jars/commons-lang-2.2.jar
>> [ivy:resolve] ==== shared-ivy: tried
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-lang/commons-lang/2.2/commons-lang-2.2.ivy.xml
>> [ivy:resolve] ==== shared-mvn: tried
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-lang/commons-lang/2.2/commons-lang-2.2.pom
>> [ivy:resolve]   -- artifact commons-lang#commons-lang;2.2!commons-lang.jar:
>> [ivy:resolve]
>> 
>> http://repo.pentaho.org/artifactory/repo/commons-lang/commons-lang/2.2/commons-lang-2.2.jar
>> [ivy:resolve] ==== public: tried
>> [ivy:resolve]
>> 
>> http://repo1.maven.org/maven2/commons-lang/commons-lang/2.2/commons-lang-2.2.pom
>> [ivy:resolve] ::::::::::::::::::::::::::::::::::::::::::::::
>> [ivy:resolve] ::          UNRESOLVED DEPENDENCIES         ::
>> [ivy:resolve] ::::::::::::::::::::::::::::::::::::::::::::::
>> [ivy:resolve] :: commons-logging#commons-logging;1.1: not found
>> [ivy:resolve] :: dom4j#dom4j;1.6.1: not found
>> [ivy:resolve] :: commons-collections#commons-collections;3.2: not found
>> [ivy:resolve] :: commons-beanutils#commons-beanutils;1.6: not found
>> [ivy:resolve] :: commons-lang#commons-lang;2.2: not found
>> [ivy:resolve] ::::::::::::::::::::::::::::::::::::::::::::::
>> [ivy:resolve]
>> [ivy:resolve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS
>> 
>> BUILD FAILED
>> 
>> /home/saulo/AmbienteJava/workspace/pentaho/3.6.0-stable/bi-platform-build/build.xml:66:
>> The following error occurred while executing this line:
>> 
>> /home/saulo/AmbienteJava/workspace/pentaho/3.6.0-stable/bi-platform-build/build.xml:68:
>> The following error occurred while executing this line:
>> 
>> /home/saulo/AmbienteJava/workspace/pentaho/3.6.0-stable/bi-platform-api/common_build.xml:641:
>> impossible to resolve dependencies:
>> resolve failed - see output for details
>> 
>> Total time: 10 seconds
>> 


Mime
View raw message